package com.ruoyi.ss.riskInfo.service;

import com.ruoyi.ss.riskInfo.domain.RiskInfo;
import com.ruoyi.ss.riskInfo.domain.RiskInfoVO;

/**
 * @author wjh
 * 2024/11/25
 */

public interface RiskInfoValidator {

    boolean isUser(Long infoId, Long userId);

    boolean isUser(RiskInfoVO info, Long userId);

    /**
     * 前校验
     */
    void preCheck(RiskInfo riskInfo);

    /**
     * 提交前校验
     */
    void preSubmitCheck(RiskInfoVO data);
}
